VESPA-CONFIG-GET(1)

NAME
vespa-config-get - Show given configuration option, or all configuration options

SYNOPSIS
vespa config get [option-name] [flags]

DESCRIPTION
Show given configuration option, or all configuration options.

By default, this command prints the effective configuration for the current application, i.e. it takes into account any local configuration located in [working-directory]/.vespa.

OPTIONS
-h, --help[=false]
    help for get

-l, --local[=false]
    Show only local configuration, if any

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa config get
    $ vespa config get target
    $ vespa config get --local

SEE ALSO
vespa-config(1)